ServiceDetailsSIChangeEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service.navigation
Class ServiceDetailsSIChangeEvent

    java.lang.Object
      java.util.EventObject
          javax.tv.service.SIChangeEvent
              javax.tv.service.navigation.ServiceDetailsSIChangeEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ServiceComponentChangeEvent

    public abstract class ServiceDetailsSIChangeEvent

extends SIChangeEvent

A `ServiceDetailsSIChangeEvent` notifies an `SIChangeListener` of changes to a `ServiceDetails`.

See Also:
  `ServiceDetails`, `ServiceDetails`, Serialized Form

Constructor Summary
`ServiceDetailsSIChangeEvent(ServiceDetails service, SIChangeType type, SIElement e)` Constructs a `ServiceDetailsSIChangeEvent`.

Method Summary
`ServiceDetails` | `getServiceDetails()` Reports the `ServiceDetails` that generated the event.

Methods inherited from class javax.tv.service.SIChangeEvent
`getChangeType, getSIElement`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceDetailsSIChangeEvent

    public ServiceDetailsSIChangeEvent(ServiceDetails service,
                                       SIChangeType type,
                                       SIElement e)

  Constructs a `ServiceDetailsSIChangeEvent`.

  Parameters:
    `service` - The `ServiceDetails` in which the change occurred.
    `type` - The type of change that occurred.
    `e` - The `SIElement` that changed.

Method Detail

### getServiceDetails

    public ServiceDetails getServiceDetails()

  Reports the `ServiceDetails` that generated the event. It will be identical to the object returned by the `getSource()` method.

  Returns:
    The `ServiceDetails` that generated the event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD